Bug 195969 - UI allows user to add a disabled activation key to a kickstart profile
UI allows user to add a disabled activation key to a kickstart profile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin A. Smith
Steve Salevan
:
Depends On:
Blocks: rhn410-kickstart
  Show dependency treegraph
 
Reported: 2006-06-19 21:13 EDT by Beth Nackashi
Modified: 2007-10-29 22:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 17:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-06-19 21:13:18 EDT
Description of problem:
There is no validation in place to block a user from adding a disabled
activation key to a kickstart profile.  This prevents a system from registering
properly after kickstart completes:

Error Message:
    Could not find token '3c4391141b17fb87c61aa0ec8435adfe'
Error Class Code: 60
Error Class Info: Invalid system registration token


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.  Create an activation key.
2.  Click on the key list and uncheck the "Enabled" box next to that key to
disable it.
3.  Create a kickstart profile.
4.  Add the key to the kickstart profile.
  
Actual results:
This is allowed.

Expected results:
This should be blocked.


Additional info:
Comment 1 Kevin A. Smith 2006-06-20 14:06:58 EDT
* Added KickstartLister.getActiveActivationKeysInOrg() which retrieves all the
activation keys for a given org which are not disabled.

* Changed ActivationKeysSetupAction to use this new call

These two changes should prevent disabled keys from showing up in the list at all.
Comment 2 Kevin A. Smith 2006-06-23 09:17:55 EDT
Testing Suggestion

1) Create an activation key

2) Click on the key list and uncheck the "Enabled" box next to that key to
disable it.

3) Create a kickstart profile

4) Attempt to add the key created in step #1 to the profile

Expected Result - The key should not show up in the list of keys available to be
added to the profile. All disabled keys are now ommitted from the "add to
profile" list.
Comment 3 Steve Salevan 2006-06-23 13:25:35 EDT
I have attempted to add a few disabled keys to a Kickstart profile and it no
longer shows up in the available list.  This looks good to me, so I'm moving it
to VERIFIED.
Comment 4 Steve Salevan 2006-06-23 13:26:26 EDT
QA Contact -> ssalevan
Comment 5 Beth Nackashi 2006-07-19 17:07:41 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.